# Enum IntegerCoord.IntType

java.lang.Object
java.lang.Enum<IntegerCoord.IntType>
uk.ac.starlink.ttools.plot2.data.IntegerCoord.IntType

All Implemented Interfaces:
  `Serializable, Comparable<IntegerCoord.IntType>, java.lang.constant.Constable`

Enclosing class:
  `IntegerCoord`

public static enum IntegerCoord.IntType extends Enum<IntegerCoord.IntType>
Enumerates the avaialable integer types.

Since:
  1 Dec 2015
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTE`
8-bit signed integer.
`INT`
32-bit signed integer.
`SHORT`
16-bit signed integer.

## Method Summary

Modifier and Type
Method
Description
`Number`
`getBadValue()`
Returns the in-band numeric value which is used to represent null values from the user input data.
`static IntegerCoord.IntType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IntegerCoord.IntType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BYTE

public static final IntegerCoord.IntType BYTE
8-bit signed integer.

### SHORT

public static final IntegerCoord.IntType SHORT
16-bit signed integer.

### INT

public static final IntegerCoord.IntType INT
32-bit signed integer.

## Method Details

### values

public static IntegerCoord.IntType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IntegerCoord.IntType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBadValue

public Number getBadValue()
Returns the in-band numeric value which is used to represent null values from the user input data. Note the presence of this value in the stored data might be either because the input data had this value, or because it was null.

Returns:
  bad value